




<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8"/>
    <title>接诉即办</title>
    <script type="text/javascript" src="/yhzx/ui/lib/jquery/jquery.min.js"></script>

</head>
<body>
<script>
    (function($) {
        $.alerts = {
            alert: function(title, message, callback) {
                if( title == null ) title = 'Alert';
                $.alerts._show(title, message, null, 'alert', function(result) {
                    if( callback ) callback(result);
                });
            },

            confirm: function(title, message, callback) {
                if( title == null ) title = 'Confirm';
                $.alerts._show(title, message, null, 'confirm', function(result) {
                    if( callback ) callback(result);
                });
            },


            _show: function(title, msg, value, type, callback) {

                var _html = "";

                _html += '<div id="mb_box"></div><div id="mb_con"><span id="mb_tit">' + title + '</span>';
                _html += '<div id="mb_msg">' + msg + '</div><div id="mb_btnbox">';
                if (type == "alert") {
                    _html += '<input id="mb_btn_ok" type="button" value="确定" />';
                }
                if (type == "confirm") {
                    _html += '<input id="mb_btn_no" type="button" value="取消" />';
                    _html += '<input id="mb_btn_ok" type="button" value="确定" />';
                }
                _html += '</div></div>';

                //必须先将_html添加到body，再设置Css样式
                $("body").append(_html); GenerateCss();

                switch( type ) {
                    case 'alert':

                        $("#mb_btn_ok").click( function() {
                            $.alerts._hide();
                            callback(true);
                        });
                        $("#mb_btn_ok").focus().keypress( function(e) {
                            if( e.keyCode == 13 || e.keyCode == 27 ) $("#mb_btn_ok").trigger('click');
                        });
                        break;
                    case 'confirm':

                        $("#mb_btn_ok").click( function() {
                            $.alerts._hide();
                            if( callback ) callback(true);
                        });
                        $("#mb_btn_no").click( function() {
                            $.alerts._hide();
                            if( callback ) callback(false);
                        });
                        $("#mb_btn_no").focus();
                        $("#mb_btn_ok, #mb_btn_no").keypress( function(e) {
                            if( e.keyCode == 13 ) $("#mb_btn_ok").trigger('click');
                            if( e.keyCode == 27 ) $("#mb_btn_no").trigger('click');
                        });
                        break;
                }
            },
            _hide: function() {
                $("#mb_box,#mb_con").remove();
            }
        }
        // Shortuct functions
        myAlert = function(title, message, callback) {
            $.alerts.alert(title, message, callback);
        }

        myConfirm = function(title, message, callback) {
            $.alerts.confirm(title, message, callback);
        };



        //生成Css
        var GenerateCss = function () {

            $("#mb_box").css({ width: '100%', height: '100%', zIndex: '99999', position: 'fixed',
                filter: 'Alpha(opacity=60)', backgroundColor: 'black', top: '0', left: '0', opacity: '0.6'
            });

            $("#mb_con").css({ zIndex: '999999', width: '365px',height:'auto', position: 'fixed',
                backgroundColor: 'White',
            });

            $("#mb_tit").css({ display: 'block', fontSize: '16px', color: '#444', padding: '10px 15px',
                backgroundColor: '#fff', borderRadius: '15px 15px 0 0',
                fontWeight: 'bold'
            });

            $("#mb_msg").css({ padding: '0 15px', lineHeight: '18px', textAlign:'justify',
                fontSize: '14px' ,color:'#4c4c4c'
            });

            $("#mb_ico").css({ display: 'block', position: 'absolute', right: '10px', top: '9px',
                border: '1px solid Gray', width: '18px', height: '18px', textAlign: 'center',
                lineHeight: '16px', cursor: 'pointer', borderRadius: '12px', fontFamily: '微软雅黑'
            });

            $("#mb_btnbox").css({ margin: '15px 0px 10px 0', textAlign: 'center' });
            $("#mb_btn_ok,#mb_btn_no").css({ width: '80px', height: '30px', color: 'white', border: 'none', borderRadius:'4px'});
            $("#mb_btn_ok").css({ backgroundColor: '#1b6fe2','cursor':'pointer','outline':'none'});
            $("#mb_btn_no").css({ backgroundColor: 'gray', marginRight: '40px' });


            //右上角关闭按钮hover样式
            $("#mb_ico").hover(function () {
                $(this).css({ backgroundColor: 'Red', color: 'White' });
            }, function () {
                $(this).css({ backgroundColor: '#DDD', color: 'black' });
            });

            var _widht = document.documentElement.clientWidth; //屏幕宽
            var _height = document.documentElement.clientHeight; //屏幕高

            var boxWidth = $("#mb_con").width();
            var boxHeight = $("#mb_con").height();

            //让提示框居中
            $("#mb_con").css({ top: (_height - boxHeight) / 2 + "px", left: (_widht - boxWidth) / 2 + "px" });
        }
    })(jQuery);
</script>
<script type="text/javascript">
    $(function () {
        myAlert('友情提示：','烟台市政府我来评改革互联网渠道服务已按照《互联网用户公众账号信息服务管理规定》和《互联网跟帖评论服务管理规定》的有关要求接入山东省统一身份认证平台，已注册山东省统一身份认证平台的用户可以直接登录留言；未注册的用户请按照要求注册后返回当前页面提交留言。</br>平台按照“后台实名、前台自愿”的原则保护您的个人信息。',function(){
            //要回调的方法
            window.location.href="https://tysfrz.isdapp.shandong.gov.cn/jis-web/login?flag=true&appMark=YTZFMKWZTYWTG&type=1&gotourl=aHR0cDovL3d3dy55YW50YWkuZ292LmNuL3loengvZnJvbnQvYXBwZWFsL2luZGV4LmRv&fwgjpt=false";
        });
    })
</script>

</body>
</html>
